Net::Packet::Layer7(3)

NAME
Net::Packet::Layer7 - application layer object

SYNOPSIS
   use Net::Packet::Layer7;

   # Build layer to inject to network
   my $l7a = Net::Packet::Layer7->new(data => "GET / HTTP/1.0\r\n\r\n");

   # Decode from network to create the object
   # Usually, you do not use this, it is used by Net::Packet::Frame
   my $l7b = Net::Packet::Layer7->new(raw => $rawFromNetwork);

   print $l7a->print, "\n";

DESCRIPTION
This class is different from Net::Packet::Layer2 to 4, since we do not decode application layers (Ethereal is good), so this is not a base class, but a final class.

See also Net::Packet::Layer for other attributes and methods.

ATTRIBUTES

data
    Stores the raw data of the application layer.

METHODS

new Object constructor. No default values.

pack
    Packs all attributes into a raw format, in order to inject to network.

unpack
    Unpacks raw data from network and stores attributes into the object.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock